backend:
  #name: test-repo
  name: gitlab
  branch: master
  repo: lq/cmscenter
  auth_type: implicit
  app_id: 25e7dca1513e953f83551bd12693295d2aecbed160b7072b2327ff601bc73a8d
 # secret e86445cbae7d5dcf262dbf4128c53003d4b1242e8c97d10fa08f28a38a21a924
  api_root: https://git.gaorongvc.cn/api/v4
  base_url: https://git.gaorongvc.cn
  authENdpoint: oauth/authorize
media_folder: static/img
collections:
  - name: "News"
    label: "News"
    sortable_fields: ['type', 'title','createDate', 'highLight','source']
    create: true
    identifier_field: name
    folder: "content/news"
    summary: "{{title}} {{createDate}}"
    fields:
          - { label: "Title", name: "title", widget: "string" }
          - { label: "type", name: "type", widget: "string", required: false}
          - { label: "createDate", name: "createDate", widget: "datetime" }
          - { label: "Abstract", name: "abstract", widget: "text" }
          - { label: "content", name: "content", widget: "markdown"}
          - { label: "coverpic", name: "coverpic", widget: "image" }
  
  - name: "frontPage"
    label: "frontPage"
    files:
      - label: "frontPage"
        name: "frontPage"
        file: "content/frontPage.md"
        fields:
          - { label: "MetaDescription", name: "metaDescription", widget: "text"}
          - label: 'articles'
            name: "articles"
            widget: list
            fields:
                - { label: "Title", name: "title", widget: "string" }
                - { label: "type", name: "type", widget: "string", required: false}
                - { label: "createDate", name: "createDate", widget: "datetime" }
                - { label: "Abstract", name: "abstract", widget: "text" }
                - { label: "content", name: "content", widget: "markdown"}
                - { label: "coverpic", name: "coverpic", widget: "image" }
                - label: "articleurl"
                  name: "articleurl"
                  widget: "relation"
                  collection: "News"
                  value_field: "title"
                  search_fields: ["title"]
                  multiple: true